> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/shopify/salesforce-commerce-cloud/cartridge-installation/storefront-reference-architecture.md).

# Storefront Reference Architecture

Follow the steps below to install the ESW SFRA cartridge for the first time:

{% stepper %}
{% step %}
**Clone the Repository**

Clone the repository to your local machine.
{% endstep %}

{% step %}
**Import the Cartridges**

* Import the following cartridges into your workspace:
  * `int_eshopworld_sfra`
  * `int_eshopworld_core`
* Link both cartridges to the server connection.
  {% endstep %}

{% step %}
**Import Site Data**

* Navigate to `Metadata > Sitesdata` in the project.
* Create a ZIP file of the `sitesdata` folder (e.g., `sitesdata.zip`).
* Import this ZIP file into your SFCC instance.
  {% endstep %}

{% step %}
**Assign Cartridges to the Site**

Assign the `int_eshopworld_sfra` and `int_eshopworld_core` cartridges to the site’s cartridge path. The cartridge path sequence should look like this:

```rb
int_eshopworld_sfra:int_eshopworld_core:app_storefront_base:
```

{% endstep %}

{% step %}
**Assign Cartridges to Business Manager**

Assign the `int_eshopworld_sfra` and `int_eshopworld_core` cartridges to the business manager organization, for example:

```rb
int_eshopworld_sfra:int_eshopworld_core:bm_custom_plugin
```

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/shopify/salesforce-commerce-cloud/cartridge-installation/storefront-reference-architecture.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
